## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ListEntriesTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ListEntriesTypeImpl

All Implemented Interfaces:
  ListEntriesType

    public class ListEntriesTypeImpl

extends EObjectImpl
implements ListEntriesType

An implementation of the model object 'List Entries Type'.

The following features are implemented:

- `Value Class`
- `Null Value`
- `Value`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetValueClass(ValueClassType newValueClass, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getId()`
`EList` `getNullValue()`
`EList` `getValue()`
`ValueClassType` `getValueClass()`
`void` `setId(java.lang.String newId)`
`void` `setValueClass(ValueClassType newValueClass)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getValueClass

    public ValueClassType getValueClass()

  Specified by:
    `getValueClass` in interface `ListEntriesType`
  Returns:
    the value of the 'Value Class' containment reference.
  See Also:
    `ListEntriesType.setValueClass(ValueClassType)`, `FacesConfigPackage.getListEntriesType_ValueClass()`

### basicSetValueClass

    public NotificationChain basicSetValueClass(ValueClassType newValueClass,
                                                NotificationChain msgs)

  Parameters:
    `newValueClass` -
    `msgs` -
  Returns:
    the notification chain

### setValueClass

    public void setValueClass(ValueClassType newValueClass)

  Specified by:
    `setValueClass` in interface `ListEntriesType`
  Parameters:
    `newValueClass` - the new value of the 'Value Class' containment reference.
  See Also:
    `ListEntriesType.getValueClass()`

### getNullValue

    public EList getNullValue()

  Specified by:
    `getNullValue` in interface `ListEntriesType`
  Returns:
    the value of the 'Null Value' containment reference list.
  See Also:
    `FacesConfigPackage.getListEntriesType_NullValue()`

### getValue

    public EList getValue()

  Specified by:
    `getValue` in interface `ListEntriesType`
  Returns:
    the value of the 'Value' containment reference list.
  See Also:
    `FacesConfigPackage.getListEntriesType_Value()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ListEntriesType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ListEntriesType.setId(String)`, `FacesConfigPackage.getListEntriesType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ListEntriesType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ListEntriesType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()